namespace InterpolationTest
{
    public class Snapshot
    {
        public double m_time; // server time
        public Vector2D m_pos;
        public Vector2D m_vel;
        public double m_latencyTimer;
    }

    public class Settings
    {
        public static double physicsStepServer = 1.0f / 100.0; // physics runs at 100 ticks/sec
        public static double snapStoreTime = 1; // Time a snapshot is stored on the client before being discarded.
        public static double snapStep = physicsStepServer*10; // Intervall at that snapshots are created on the server. Needs to be multiple of physicsStepServer.
        public static double timeOffset = snapStep * 1; // artificial time offset between snapshot and display time. Additional to measured jitter.
        public static double smoothTimerSpeed = 0.1; // In seconds per second. Tells the smoothTimer how fast he should interpolate between current renderTime and targetTime.
        public static uint latencySampleAmmount = (uint)(1 / snapStep * 2); // Ammount of latency samples to take in order to calculate targetTime. (1.0/snapStep is the ammount of snaps per second. So by modifying the multiplier you can set the ammount of secons the buffer lasts)
        public static double reactExtrapoTime = 0.001; // Time in seconds for the how long extrapolation needs to be active for "setTargetTime" to activate.
        public static double reactDifference = 0.01; // Time in seconds for how much better/worse all samples need to be for "setTargetTime" to activate.
        public static double lag = 0.1; // default latency, in seconds
        public static Vector2D defaultVelocity = new Vector2D(0, 0.5f);
    }
}
